export interface Versions {
    prerequisites: {
        foundationUI?: string;
        gsf?: string;
    };
}
export interface Properties {
    [k: string]: string;
}
export interface JsonFileReadWriter {
    (fileName: string, opts?: {
        autosave: boolean;
    }): JsonFileReadWriter;
    get: (propName: string) => string | Properties;
    set: (propName: string, props: Properties) => void;
}
export interface Utils {
    editJSONFile: JsonFileReadWriter;
}
export interface Check {
    name: string;
    handler: (data: SeedInput) => boolean;
}
export interface SeedInput {
    directory: string;
    utils: Utils;
    versions: Versions;
}
//# sourceMappingURL=types.d.ts.map